const path = require('path')
module.exports = {
  root: path.resolve(__dirname, '../../') + '/src/pages/',
  name: 'mylottery',
  title: '我的奖品',
  defaultData: {
    total: 0,
    currentPage: 1,
    pageSize: 10
  },
  filter: [
    {
      keyword: 'username',
      default: '',
      type: 'Input',
      label: '用户姓名'
    }, {
      keyword: 'status',
      type: 'Select',
      default: '',
      label: '状态'
    }, {
      keyword: 'date',
      type: 'DatePicker',
      default: '',
      label: '日期'
    },

  ],
  action: ['reset', 'search', 'add'],
  tableData: {
    alies: 'tableData',
    list: [
      {
        fields: 'name',
        label: '姓名'
      }, {
        fields: 'phone',
        label: '手机号'
      }, {
        fields: 'address',
        label: '地址'
      }, {
        fields: 'sex',
        label: '性别',
      }, {
        fields: 'age',
        label: '年龄'
      }, {
        type: 'template',
        label: '操作'
      }
    ]
  },
  isKeepAlive: false
}